// it seems that OBJECT_H is used by something else

#ifndef KOLF_OBJECT_H
#define KOLF_OBJECT_H

#include <tqcanvas.h>
#include <tqstring.h>
#include <tqobject.h>

class Object : public TQObject
{
	TQ_OBJECT
  

public:
	Object(TQObject *parent = 0, const char *name = 0) : TQObject(parent, name) { m_addOnNewHole = false; }
	virtual TQCanvasItem *newObject(TQCanvas * /*canvas*/) { return 0; }
	TQString name() { return m_name; }
	TQString _name() { return m__name; }
	TQString author() { return m_author; }
	bool addOnNewHole() { return m_addOnNewHole; }

protected:
	TQString m_name;
	TQString m__name;
	TQString m_author;
	bool m_addOnNewHole;
};
typedef TQPtrList<Object> ObjectList;

#endif
